ghc-7.0.3: The GHC API

CmmLex

# Documentation

data CmmToken

Constructors

CmmT_SpecChar Char |
CmmT_DotDot |
CmmT_DoubleColon |
CmmT_Shr |
CmmT_Shl |
CmmT_Ge |
CmmT_Le |
CmmT_Eq |
CmmT_Ne |
CmmT_BoolAnd |
CmmT_BoolOr |
CmmT_CLOSURE |
CmmT_INFO_TABLE |
CmmT_INFO_TABLE_RET |
CmmT_INFO_TABLE_FUN |
CmmT_INFO_TABLE_CONSTR |
CmmT_INFO_TABLE_SELECTOR |
CmmT_else |
CmmT_export |
CmmT_section |
CmmT_align |
CmmT_goto |
CmmT_if |
CmmT_jump |
CmmT_foreign |
CmmT_never |
CmmT_prim |
CmmT_return |
CmmT_returns |
CmmT_import |
CmmT_switch |
CmmT_case |
CmmT_default |
CmmT_bits8 |
CmmT_bits16 |
CmmT_bits32 |
CmmT_bits64 |
CmmT_float32 |
CmmT_float64 |
CmmT_gcptr |
CmmT_GlobalReg GlobalReg |
CmmT_Name FastString |
CmmT_String String |
CmmT_Int Integer |
CmmT_Float Rational |
CmmT_EOF |

cmmlex :: (Located CmmToken -> P a) -> P a